## org.eclipse.datatools.sqltools.schemaobjecteditor.ui.action
Class EditSchemaObjectAction

    java.lang.Object
      org.eclipse.core.commands.common.EventManager
          org.eclipse.jface.action.AbstractAction
              org.eclipse.jface.action.Action
                  org.eclipse.datatools.sqltools.schemaobjecteditor.ui.action.EditSchemaObjectAction

All Implemented Interfaces:
  IEditSchemaObjectAction, org.eclipse.jface.action.IAction

Direct Known Subclasses:
  ASAUserDefinedTypeEditAction, EditASATableAction

    public class EditSchemaObjectAction

extends org.eclipse.jface.action.Action
implements IEditSchemaObjectAction

The action to open a schema object editor, given db definition, db object type and a model object. The consumer can either use this action or re-write a new one if they have extra requirement.

Author:
  Idull

Field Summary

Fields inherited from interface org.eclipse.jface.action.IAction
`AS_CHECK_BOX, AS_DROP_DOWN_MENU, AS_PUSH_BUTTON, AS_RADIO_BUTTON, AS_UNSPECIFIED, CHECKED, DESCRIPTION, ENABLED, HANDLED, IMAGE, RESULT, TEXT, TOOL_TIP_TEXT`

Constructor Summary
`EditSchemaObjectAction()`
`EditSchemaObjectAction(SQLObject obj, ISchemaObjectEditModel modelObj)` Passes a SQL object, will calculate other necessary information via this object
`EditSchemaObjectAction(java.lang.String text)`
`EditSchemaObjectAction(java.lang.String text, org.eclipse.jface.resource.ImageDescriptor image)`
`EditSchemaObjectAction(java.lang.String text, int style)`
`EditSchemaObjectAction(java.lang.String vendorName, java.lang.String version, java.lang.String objectTypeId, ISchemaObjectEditModel modelObj, org.eclipse.datatools.sqltools.core.DatabaseIdentifier databaseIdentifier)`
`EditSchemaObjectAction(java.lang.String vendorName, java.lang.String version, java.lang.String objectTypeId, java.lang.String text, org.eclipse.jface.resource.ImageDescriptor image, ISchemaObjectEditModel modelObj)`
`EditSchemaObjectAction(java.lang.String vendorName, java.lang.String version, java.lang.String objectTypeId, java.lang.String text, int style, ISchemaObjectEditModel modelObj, org.eclipse.datatools.sqltools.core.DatabaseIdentifier databaseIdentifier)`
`EditSchemaObjectAction(java.lang.String vendorName, java.lang.String version, java.lang.String objectTypeId, java.lang.String text, ISchemaObjectEditModel modelObj)`

Method Summary
`void` `checkAndOpenEditor()`
`org.eclipse.datatools.sqltools.core.DatabaseIdentifier` `getDatabaseIdentifier()`
`java.lang.String` `getEditorId()`
`java.lang.Object` `getModelObj()`
`java.lang.String` `getObjectTypeId()`
`org.eclipse.ui.IEditorPart` `getPart()`
`SQLObject` `getSQLObject()`
`java.lang.String` `getVendorName()`
`java.lang.String` `getVersion()`
`void` `run()`
`void` `run(org.eclipse.core.runtime.IProgressMonitor monitor)`
`void` `setDatabaseIdentifier(org.eclipse.datatools.sqltools.core.DatabaseIdentifier identifier)`
`void` `setDefaultPageId(java.lang.String defaultPageId)` Set the default page ID
`void` `setEditorId(java.lang.String id)`
`void` `setModelObj(ISchemaObjectEditModel obj)`
`void` `setObjectTypeId(java.lang.String typeId)`
`void` `setSQLObject(SQLObject object)` Set the object to be opened
`void` `setVendorName(java.lang.String name)`
`void` `setVersion(java.lang.String _version)`

Methods inherited from class org.eclipse.jface.action.Action

`convertAccelerator, convertAccelerator, findKeyCode, findKeyString, findModifier, findModifierString, getAccelerator, getActionDefinitionId, getDescription, getDisabledImageDescriptor, getHelpListener, getHoverImageDescriptor, getId, getImageDescriptor, getMenuCreator, getStyle, getText, getToolTipText, isChecked, isEnabled, isHandled, notifyResult, removeAcceleratorText, removeMnemonics, runWithEvent, setAccelerator, setActionDefinitionId, setChecked, setDescription, setDisabledImageDescriptor, setEnabled, setHelpListener, setHoverImageDescriptor, setId, setImageDescriptor, setMenuCreator, setText, setToolTipText`

Methods inherited from class org.eclipse.jface.action.AbstractAction
`addPropertyChangeListener, removePropertyChangeListener`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Methods inherited from interface org.eclipse.jface.action.IAction
`addPropertyChangeListener, removePropertyChangeListener`

Constructor Detail

### EditSchemaObjectAction

    public EditSchemaObjectAction(SQLObject obj,
                                  ISchemaObjectEditModel modelObj)

  Passes a SQL object, will calculate other necessary information via this object

  Parameters:
    `obj` -
    `modelObj` -

### EditSchemaObjectAction

    public EditSchemaObjectAction(java.lang.String vendorName,
                                  java.lang.String version,
                                  java.lang.String objectTypeId,
                                  ISchemaObjectEditModel modelObj,
                                  org.eclipse.datatools.sqltools.core.DatabaseIdentifier databaseIdentifier)

### EditSchemaObjectAction

    public EditSchemaObjectAction(java.lang.String vendorName,
                                  java.lang.String version,
                                  java.lang.String objectTypeId,
                                  java.lang.String text,
                                  int style,
                                  ISchemaObjectEditModel modelObj,
                                  org.eclipse.datatools.sqltools.core.DatabaseIdentifier databaseIdentifier)

### EditSchemaObjectAction

    public EditSchemaObjectAction(java.lang.String vendorName,
                                  java.lang.String version,
                                  java.lang.String objectTypeId,
                                  java.lang.String text,
                                  ISchemaObjectEditModel modelObj)

### EditSchemaObjectAction

    public EditSchemaObjectAction(java.lang.String vendorName,
                                  java.lang.String version,
                                  java.lang.String objectTypeId,
                                  java.lang.String text,
                                  org.eclipse.jface.resource.ImageDescriptor image,
                                  ISchemaObjectEditModel modelObj)

### EditSchemaObjectAction

    public EditSchemaObjectAction()

### EditSchemaObjectAction

    public EditSchemaObjectAction(java.lang.String text,
                                  org.eclipse.jface.resource.ImageDescriptor image)

### EditSchemaObjectAction

    public EditSchemaObjectAction(java.lang.String text,
                                  int style)

### EditSchemaObjectAction

    public EditSchemaObjectAction(java.lang.String text)

Method Detail

### run

    public void run()

  Specified by:
    `run` in interface `org.eclipse.jface.action.IAction`
  Overrides:
    `run` in class `org.eclipse.jface.action.Action`

### run

    public void run(org.eclipse.core.runtime.IProgressMonitor monitor)

### checkAndOpenEditor

    public void checkAndOpenEditor()

### getEditorId

    public java.lang.String getEditorId()

### setEditorId

    public void setEditorId(java.lang.String id)

### getModelObj

    public java.lang.Object getModelObj()

### setModelObj

    public void setModelObj(ISchemaObjectEditModel obj)

### getObjectTypeId

    public java.lang.String getObjectTypeId()

### setObjectTypeId

    public void setObjectTypeId(java.lang.String typeId)

### getVendorName

    public java.lang.String getVendorName()

### setVendorName

    public void setVendorName(java.lang.String name)

### getVersion

    public java.lang.String getVersion()

### setVersion

    public void setVersion(java.lang.String _version)

### getPart

    public org.eclipse.ui.IEditorPart getPart()

### getDatabaseIdentifier

    public org.eclipse.datatools.sqltools.core.DatabaseIdentifier getDatabaseIdentifier()

### setDatabaseIdentifier

    public void setDatabaseIdentifier(org.eclipse.datatools.sqltools.core.DatabaseIdentifier identifier)

### getSQLObject

    public SQLObject getSQLObject()

### setSQLObject

    public void setSQLObject(SQLObject object)

  Description copied from interface: `IEditSchemaObjectAction`
  Set the object to be opened

  Specified by:
    `setSQLObject` in interface `IEditSchemaObjectAction`
  Parameters:
    `object` - Object

### setDefaultPageId

    public void setDefaultPageId(java.lang.String defaultPageId)

  Description copied from interface: `IEditSchemaObjectAction`
  Set the default page ID

  Specified by:
    `setDefaultPageId` in interface `IEditSchemaObjectAction`
  Parameters:
    `defaultPageId` - Default page Id